# Class ForFormArrayItemsDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:41

#####
Index

### Constructors

constructor

### Properties

_formArrayValueSubscription?
cdr
container
formArray
template
viewContainerRef

### Methods

ngAfterViewInit
ngOnDestroy
render

## Constructors

### constructor

- new ForFormArrayItemsDirective(container, template, viewContainerRef, cdr): ForFormArrayItemsDirective

- #### Parameters

  - container: ControlContainer
  - template: TemplateRef<ForFormArrayItemsDirectiveContext>
  - viewContainerRef: ViewContainerRef
  - cdr: ChangeDetectorRef

  #### Returns ForFormArrayItemsDirective

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:47

## Properties

### `Private` `Optional` _formArrayValueSubscription

_formArrayValueSubscription?: Subscription

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:43

### `Private` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:51

### `Private` `Readonly` container

container: ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:48

### `Private` formArray

formArray: RxapFormArray<any, any, any>

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:45

### `Private` `Readonly` template

template: TemplateRef<ForFormArrayItemsDirectiveContext>

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:49

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:50

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:55

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:75

### `Private` render

- render(length): void

- #### Parameters

  - length: number

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:79